# Updating an existing Workspace Baseline

Updates a specified Gantt workspace baseline.


This endpoint returns structured Workspace Baseline objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the workspace_baselines top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /workspace_baselines/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- creator (User) - The user who created this workspace baseline.
- payload (BaselinePayload) - The baseline payload associated with this workspace baseline.
- workspace (Workspace) - The workspace represented in this workspace baseline.

## Request fields (application/json):

  - `workspace_baseline` (object)

  - `workspace_baseline.title` (string, required)
    The title of the workspace baseline.

  - `workspace_baseline.description` (string)
    The description of the workspace baseline.

  - `workspace_baseline.workspace_id` (integer)
    The ID of the workspace the workspace baseline will belong to.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `workspace_baselines` (object)

  - `workspaces` (object)

  - `users` (object)

  - `baseline_payloads` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


